###################################################
### chunk number 1: preliminaries
###################################################
#line 25 "d:/Rcompile/CRANpkg/local/2.12/maxstat/inst/doc/maxstat.Rnw"
options(prompt=">", width=60)


###################################################
### chunk number 2: DLBCL
###################################################
#line 124 "d:/Rcompile/CRANpkg/local/2.12/maxstat/inst/doc/maxstat.Rnw"
library(maxstat)
data(DLBCL)
mtHL <- maxstat.test(Surv(time, cens) ~ MGE, 
        data=DLBCL, smethod="LogRank", pmethod="HL")
mtHL


###################################################
### chunk number 3: DLBCL-fig
###################################################
#line 135 "d:/Rcompile/CRANpkg/local/2.12/maxstat/inst/doc/maxstat.Rnw"
mod <- maxstat.test(Surv(time, cens) ~ MGE,
               data=DLBCL, smethod="LogRank",
               pmethod="Lau94", alpha=0.05)
plot(mod, xlab="Mean gene expression", cex.axis=1.3, cex.lab=1.3)


###################################################
### chunk number 4: DLBCL-fig2
###################################################
#line 171 "d:/Rcompile/CRANpkg/local/2.12/maxstat/inst/doc/maxstat.Rnw"
splitMGE <- rep(1, nrow(DLBCL))
DLBCL <- cbind(DLBCL, splitMGE)
DLBCL$splitMGE[DLBCL$MGE <= mod$estimate] <- 0
par(mai=c(1.0196235, 1.0196235, 0.8196973, 0.4198450))
plot(survfit(Surv(time, cens) ~ splitMGE, data=DLBCL),
     xlab = "Survival time in month",
     ylab="Probability", cex.lab=1.3, cex.axis=1.3, lwd=2)
text(80, 0.9, expression("Mean gene expression" > 0.186), cex=1.3)   
text(80, 0.5, expression("Mean gene expression" <= 0.186 ), cex=1.3)


###################################################
### chunk number 5: DLBCL-condMC
###################################################
#line 215 "d:/Rcompile/CRANpkg/local/2.12/maxstat/inst/doc/maxstat.Rnw"
maxstat.test(Surv(time, cens) ~ MGE,
             data=DLBCL, smethod="LogRank",
             pmethod="condMC", B = 9999)


###################################################
### chunk number 6: mmax
###################################################
#line 233 "d:/Rcompile/CRANpkg/local/2.12/maxstat/inst/doc/maxstat.Rnw"
mmax <- maxstat.test(Surv(time, cens) ~ MGE + IPI,
               data=DLBCL, smethod="LogRank",
               pmethod="exactGauss", abseps=0.01)
mmax


###################################################
### chunk number 7: mmax-fig
###################################################
#line 250 "d:/Rcompile/CRANpkg/local/2.12/maxstat/inst/doc/maxstat.Rnw"
plot(mmax, cex.axis=1.3, cex.lab=1.3)


